# all files / ol/format/filter/ isbetween.js

100% Statements 8/8
100% Branches 0/0
100% Functions 1/1
100% Lines 8/8

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    341×

    1×
    1×

    1×
    1×

    1×

    1×

    1×
     goog.provide('ol.format.filter.IsBetween');

    goog.require('ol');
    goog.require('ol.format.filter.Comparison');

    /**
     * @classdesc
     * Represents a `<PropertyIsBetween>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!number} lowerBoundary The lower bound of the range.
     * @param {!number} upperBoundary The upper bound of the range.
     * @extends {ol.format.filter.Comparison}
     * @api
     */
    ol.format.filter.IsBetween = function(propertyName, lowerBoundary, upperBoundary) {
      ol.format.filter.Comparison.call(this, 'PropertyIsBetween', propertyName);

      /**
       * @public
       * @type {!number}
       */
      this.lowerBoundary = lowerBoundary;

      /**
       * @public
       * @type {!number}
       */
      this.upperBoundary = upperBoundary;
    };
    ol.inherits(ol.format.filter.IsBetween, ol.format.filter.Comparison);